import * as core from "@terrascript/core";

export interface DsAccessPointsArgs {
  fileSystemId: string | core.StringOut;
}

export class DsAccessPoints extends core.Data<DsAccessPointsArgs> {
  @core.attr(String, { computed: true, kind: "array" })
  public arns!: core.Array<string> | core.ArrayOut<core.StringOut>;

  @core.attr(String)
  public fileSystemId!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String, { computed: true, kind: "array" })
  public ids!: core.Array<string> | core.ArrayOut<core.StringOut>;

  constructor(name: string, args?: DsAccessPointsArgs) {
    super(name, "aws_efs_access_points", args);
  }

  public override getNamespace(): string {
    return "aws_efs";
  }
}
